Version 4.0.26.22 (latest)

### Get information about a user attribute.

## Request

GET /user_attributes/{user_attribute_id} Datatype Description Request HTTP Request path HTTP Path Expand HTTP Path definition... user_attribute_id string Id of user attribute query HTTP Query Expand HTTP Query definition... fields string Requested fields.

## Response

### 200: User Attribute

Datatype Description (object) [UserAttribute](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/UserAttribute) can object Operations the current user is able to perform on this object id string Unique Id name string Name of user attribute label string Human-friendly label for user attribute type string Type of user attribute ("string", "number", "datetime", "yesno", "zipcode", "advanced_filter_string", "advanced_filter_number", "file") default_value string Default value for when no value is set on the user is_system boolean Attribute is a system default is_permanent boolean Attribute is permanent and cannot be deleted value_is_hidden boolean If true, users will not be able to view values of this attribute user_can_view boolean Non-admin users can see the values of their attributes and use them in filters user_can_edit boolean Users can change the value of this attribute for themselves hidden_value_domain_whitelist string Destinations to which a hidden attribute may be sent. Once set, cannot be edited. needed_for_ci_run boolean Whether this user attribute is needed for a CI run value_for_ci_run string The value to use for this user attribute during a CI run

### 400: Bad Request

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

### 404: Not Found

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

### 429: Too Many Requests

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

## Examples

### Kotlin


|---|
| [https://github.com/looker-open-source/sdk-codegen/blob/main/kotlin/src/test/TestMethods.kt](https://github.com/looker-open-source/sdk-codegen/blob/main/kotlin/src/test/TestMethods.kt#L476 "https://github.com/looker-open-source/sdk-codegen/blob/main/kotlin/src/test/TestMethods.kt") |